This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 837542 - [regression]can't undefine guest after guest saved.
[regression]can't undefine guest after guest saved.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.4
x86_64 Linux
high Severity high
: rc
: ---
Assigned To: Peter Krempa
Virtualization Bugs
: Regression
Depends On:
Blocks: 840699
  Show dependency treegraph
 
Reported: 2012-07-04 04:07 EDT by zhpeng
Modified: 2013-09-08 20:03 EDT (History)
9 users (show)

See Also:
Fixed In Version: libvirt-0.10.0-0rc0.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 02:18:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description zhpeng 2012-07-04 04:07:56 EDT
Description of problem:
can't undefine guest after guest saved.

Version-Release number of selected component (if applicable):
libvirt-0.9.13-2.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1, define and start a normal guest
2, #virsh save guest /tmp/guest.save
3, #virsh restore /tmp/aaa
4, #virsh destroy aaa
5, #virsh undefine aaa
error: Refusing to undefine while domain managed save image exists
6, # ls /var/lib/libvirt/qemu/save/   ---> no managed save image.

Actual results:
Can't undefine guest after guest saved.

Expected results:
works

Additional info:
if you start guest after save it, it can be undefined.
Comment 2 Peter Krempa 2012-07-04 04:29:47 EDT
The machines are marked as having managed save image even on non-managed save. Fix sent for review upstream:

http://www.redhat.com/archives/libvir-list/2012-July/msg00105.html
Comment 3 Peter Krempa 2012-07-04 05:17:34 EDT
Fixed upstream, moving to POST:

commit a4f74cd09a2000ae7fe2e9bd16fb73ac6dbc0037
Author: Peter Krempa <pkrempa@redhat.com>
Date:   Wed Jul 4 10:19:45 2012 +0200

    qemu: Mark domains as having managed state image only on managed save
Comment 6 zhpeng 2012-08-06 01:06:43 EDT
test it with libvirt-0.10.0-0rc0.el6, and this bug is verified.
Comment 7 errata-xmlrpc 2013-02-21 02:18:34 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0276.html

Note You need to log in before you can comment on or make changes to this bug.